Public Attributes | List of all members
hw_enum_parm Struct Reference
Peripheral Driver » HAL Driver » USB » Structures » USB Configuration

USB hardware enumeration Structure definition. More...

`#include <gr55xx_hal_usb.h>`

## Public Attributes
uint8_t | cfg_desc_start
| Specifies the USB config descriptor start address This parameter can be a value of 8 bit data of offset of config descriptor. More...
uint8_t | cfg_desc_size
| Specifies the USB config descriptor size This parameter can be a value of 8 bit data size of config descriptor. More...
uint8_t | str_desc0_start
| Specifies the USB Language ID descriptor start address This parameter can be a value of 8 bit data of offset of Language ID descriptor. More...
uint8_t | str_desc0_size
| Specifies the USB Language ID descriptor size This parameter can be a value of 8 bit data size of Language ID descriptor. More...
uint8_t | str_desc1_start
| Specifies the USB string descriptor(Manufacturer string) start address This parameter can be a value of 8 bit data of offset of string descriptor. More...
uint8_t | str_desc1_size
| Specifies the USB string descriptor(Manufacturer string) size This parameter can be a value of 8 bit data size of string descriptor. More...
uint8_t | str_desc2_start
| Specifies the USB string descriptor(Product string) start address This parameter can be a value of 8 bit data of offset of string descriptor. More...
uint8_t | str_desc2_size
| Specifies the USB string descriptor(Product string) size This parameter can be a value of 8 bit data size of string descriptor. More...
uint8_t | str_desc3_start
| Specifies the USB string descriptor(Serial Number string) start address This parameter can be a value of 8 bit data of offset of string descriptor. More...
uint8_t | str_desc3_size
| Specifies the USB string descriptor(Serial Number string) size This parameter can be a value of 8 bit data size of string descriptor. More...
uint16_t | sram_size
| Specifies the USB hardware enumeration SRAM address size This parameter can be a value of 0~256byte descriptor size. More...
uint32_t * | p_sram_addr
| Specifies the USB hardware enumeration SRAM address This parameter can be a value of 32 bit descriptor SRAM address. More...

## Detailed Description

USB hardware enumeration Structure definition.

Definition at line 122 of file gr55xx_hal_usb.h.

## Member Data Documentation

## ◆ cfg_desc_size

uint8_t hw_enum_parm::cfg_desc_size

Specifies the USB config descriptor size This parameter can be a value of 8 bit data size of config descriptor.

Definition at line 127 of file gr55xx_hal_usb.h.

## ◆ cfg_desc_start

uint8_t hw_enum_parm::cfg_desc_start

Specifies the USB config descriptor start address This parameter can be a value of 8 bit data of offset of config descriptor.

(offset refer to sram_addr(device descriptor))

Definition at line 124 of file gr55xx_hal_usb.h.

## ◆ p_sram_addr

uint32_t* hw_enum_parm::p_sram_addr

Specifies the USB hardware enumeration SRAM address This parameter can be a value of 32 bit descriptor SRAM address.

(the whole size of hardware enumeration is 256byte)

Definition at line 157 of file gr55xx_hal_usb.h.

## ◆ sram_size

uint16_t hw_enum_parm::sram_size

Specifies the USB hardware enumeration SRAM address size This parameter can be a value of 0~256byte descriptor size.

(the whole size of hardware enumeration is 256byte)

Definition at line 154 of file gr55xx_hal_usb.h.

## ◆ str_desc0_size

uint8_t hw_enum_parm::str_desc0_size

Specifies the USB Language ID descriptor size This parameter can be a value of 8 bit data size of Language ID descriptor.

Definition at line 133 of file gr55xx_hal_usb.h.

## ◆ str_desc0_start

uint8_t hw_enum_parm::str_desc0_start

Specifies the USB Language ID descriptor start address This parameter can be a value of 8 bit data of offset of Language ID descriptor.

(offset refer to cfg_desc_start(device descriptor))

Definition at line 130 of file gr55xx_hal_usb.h.

## ◆ str_desc1_size

uint8_t hw_enum_parm::str_desc1_size

Specifies the USB string descriptor(Manufacturer string) size This parameter can be a value of 8 bit data size of string descriptor.

Definition at line 139 of file gr55xx_hal_usb.h.

## ◆ str_desc1_start

uint8_t hw_enum_parm::str_desc1_start

Specifies the USB string descriptor(Manufacturer string) start address This parameter can be a value of 8 bit data of offset of string descriptor.

(offset refer to str_desc0_start(device descriptor)

Definition at line 136 of file gr55xx_hal_usb.h.

## ◆ str_desc2_size

uint8_t hw_enum_parm::str_desc2_size

Specifies the USB string descriptor(Product string) size This parameter can be a value of 8 bit data size of string descriptor.

Definition at line 145 of file gr55xx_hal_usb.h.

## ◆ str_desc2_start

uint8_t hw_enum_parm::str_desc2_start

Specifies the USB string descriptor(Product string) start address This parameter can be a value of 8 bit data of offset of string descriptor.

(device descriptor)

Definition at line 142 of file gr55xx_hal_usb.h.

## ◆ str_desc3_size

uint8_t hw_enum_parm::str_desc3_size

Specifies the USB string descriptor(Serial Number string) size This parameter can be a value of 8 bit data size of string descriptor.

Definition at line 151 of file gr55xx_hal_usb.h.

## ◆ str_desc3_start

uint8_t hw_enum_parm::str_desc3_start

Specifies the USB string descriptor(Serial Number string) start address This parameter can be a value of 8 bit data of offset of string descriptor.

(device descriptor)

Definition at line 148 of file gr55xx_hal_usb.h.

The documentation for this struct was generated from the following file:

- gr55xx_hal_usb.h